summaryrefslogtreecommitdiff
path: root/net-fs
diff options
context:
space:
mode:
authorPatrick Lauer <patrick@gentoo.org>2010-01-26 19:04:00 +0000
committerPatrick Lauer <patrick@gentoo.org>2010-01-26 19:04:00 +0000
commit76810ba1a41ff70b6558b3c181c521eb2d835a4a (patch)
treef5b69b2f7a6aeeb90b1987219c6c147b545dada3 /net-fs
parentTODO does not exist in docs, bug #302348, thank R Bar-On for report. (diff)
downloadhistorical-76810ba1a41ff70b6558b3c181c521eb2d835a4a.tar.gz
historical-76810ba1a41ff70b6558b3c181c521eb2d835a4a.tar.bz2
historical-76810ba1a41ff70b6558b3c181c521eb2d835a4a.zip
Adding 3.5_rc
Package-Manager: portage-2.2_rc61/cvs/Linux x86_64
Diffstat (limited to 'net-fs')
-rw-r--r--net-fs/samba-client/ChangeLog8
-rw-r--r--net-fs/samba-client/samba-client-3.5.0_rc2.ebuild202
-rw-r--r--net-fs/samba-libs/ChangeLog10
-rw-r--r--net-fs/samba-libs/files/3.5/nsswitch.conf-winbind17
-rw-r--r--net-fs/samba-libs/files/3.5/nsswitch.conf-wins17
-rw-r--r--net-fs/samba-libs/files/3.5/samba.pam8
-rw-r--r--net-fs/samba-libs/files/3.5/system-auth-winbind.pam18
-rw-r--r--net-fs/samba-libs/samba-libs-3.5.0_rc2.ebuild281
-rw-r--r--net-fs/samba-server/ChangeLog10
-rw-r--r--net-fs/samba-server/files/3.5/lmhosts2
-rw-r--r--net-fs/samba-server/files/3.5/samba.confd28
-rw-r--r--net-fs/samba-server/files/3.5/samba.initd53
-rw-r--r--net-fs/samba-server/files/3.5/smb.conf.default271
-rw-r--r--net-fs/samba-server/files/3.5/smbusers7
-rw-r--r--net-fs/samba-server/files/3.5/swat.xinetd17
-rw-r--r--net-fs/samba-server/samba-server-3.5.0_rc2.ebuild223
-rw-r--r--net-fs/samba/ChangeLog7
-rw-r--r--net-fs/samba/samba-3.5.0_rc2.ebuild17
18 files changed, 1192 insertions, 4 deletions
diff --git a/net-fs/samba-client/ChangeLog b/net-fs/samba-client/ChangeLog
index 401250aee4d4..95deb13e62db 100644
--- a/net-fs/samba-client/ChangeLog
+++ b/net-fs/samba-client/ChangeLog
@@ -1,6 +1,12 @@
# ChangeLog for net-fs/samba-client
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-client/ChangeLog,v 1.24 2010/01/19 19:02:04 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-client/ChangeLog,v 1.25 2010/01/26 19:03:08 patrick Exp $
+
+*samba-client-3.5.0_rc2 (26 Jan 2010)
+
+ 26 Jan 2010; Patrick Lauer <patrick@gentoo.org>
+ +samba-client-3.5.0_rc2.ebuild:
+ Adding 3.5_rc
*samba-client-3.4.5 (19 Jan 2010)
diff --git a/net-fs/samba-client/samba-client-3.5.0_rc2.ebuild b/net-fs/samba-client/samba-client-3.5.0_rc2.ebuild
new file mode 100644
index 000000000000..bf5dd5be3278
--- /dev/null
+++ b/net-fs/samba-client/samba-client-3.5.0_rc2.ebuild
@@ -0,0 +1,202 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-client/samba-client-3.5.0_rc2.ebuild,v 1.1 2010/01/26 19:03:08 patrick Exp $
+
+EAPI="2"
+
+inherit pam confutils versionator multilib eutils toolchain-funcs autotools
+
+MY_PV=${PV/_/}
+MY_P="samba-${MY_PV}"
+
+DESCRIPTION="Client bits of the samba network filesystem"
+HOMEPAGE="http://www.samba.org/"
+SRC_URI="http://samba.org/samba/ftp/rc/${MY_P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="samba4 ads aio avahi caps cluster cups debug ldap minimal syslog winbind zeroconf"
+
+DEPEND="!<net-fs/samba-3.3
+ !net-fs/mount-cifs
+ ads? ( virtual/krb5 sys-fs/e2fsprogs
+ net-fs/samba-libs[ads] sys-apps/keyutils )
+ !minimal? (
+ dev-libs/popt
+ dev-libs/iniparser
+ virtual/libiconv
+ zeroconf? ( || ( net-dns/avahi[mdnsresponder-compat] net-misc/mDNSResponder ) )
+ caps? ( sys-libs/libcap )
+ cups? ( net-print/cups )
+ debug? ( dev-libs/dmalloc )
+ ldap? ( net-nds/openldap )
+ syslog? ( virtual/logger )
+ sys-libs/tdb
+ sys-libs/talloc
+ ~net-fs/samba-libs-${PV}[caps?,cups?,ldap?,syslog?,winbind?,ads?,samba4?,netapi] )"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}"
+
+# TODO:
+# - enable iPrint on Prefix/OSX and Darwin?
+# - selftest-prefix? selftest?
+
+RESTRICT="test"
+
+CONFDIR="${FILESDIR}/$(get_version_component_range 1-2)"
+BINPROGS="bin/smbclient bin/net bin/smbget bin/smbtree bin/nmblookup bin/smbpasswd bin/rpcclient bin/smbcacls bin/smbcquotas bin/ntlm_auth"
+
+pkg_setup() {
+ confutils_use_depend_all samba4 ads
+ confutils_use_depend_all ads ldap
+}
+
+src_prepare() {
+
+ cp "${FILESDIR}/samba-3.4.2-lib.tevent.python.mk" "lib/tevent/python.mk"
+
+ cd "source3"
+ eautoconf -Ilibreplace -Im4 -I../m4 -I../lib/replace -I../source4
+}
+
+src_configure() {
+ cd "source3"
+ local myconf
+
+ # compile franky samba4 hybrid
+ # http://wiki.samba.org/index.php/Franky
+ if use samba4 ; then
+ myconf="${myconf} --enable-merged-build --enable-developer"
+ if has_version app-crypt/heimdal ; then
+ myconf="${myconf} --with-krb5=/usr/"
+ elif has_version app-crypt/mit-krb5 ; then
+ die "MIT Kerberos not supported by samba 4, use heimdal"
+ else
+ die "No supported kerberos provider detected"
+ fi
+ fi
+
+ # Filter out -fPIE
+ [[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
+ use hppa && myconf="${myconf} --disable-pie"
+
+ # Upstream refuses to make this configurable
+ export ac_cv_header_sys_capability_h=no
+ if ! use minimal ; then
+ use caps && export ac_cv_header_sys_capability_h=yes
+ fi
+
+ if ! use minimal || use ads; then
+ # Notes:
+ # - FAM is a plugin for the server
+ # - DNS-SD is only used in client/server code
+ # - AFS is a pw-auth-method and only used in client/server code
+ # - AFSACL is a server module
+ # - automount is only needed in conjunction with NIS and we don't have that
+ # anymore
+ # - quota-support is only needed in server-code
+ # - acl-support is only used in server-code
+ # - --without-dce-dfs and --without-nisplus-home can't be passed to configure but are disabled by default
+ # - current DNS/SD support in the client is via the mdnsresponder-compat api in avahi
+ econf ${myconf} \
+ --sysconfdir=/etc/samba \
+ --localstatedir=/var \
+ $(use_enable debug developer) \
+ --enable-largefile \
+ --enable-socket-wrapper \
+ --enable-nss-wrapper \
+ --disable-swat \
+ $(use_enable debug dmalloc) \
+ $(use minimal && echo "--disable-cups" || echo "$(use_enable cups)") \
+ --disable-iprint \
+ --disable-fam \
+ --enable-shared-libs \
+ $(use minimal && echo "--disable-dnssd" || echo "$(use_enable avahi dnssd)") \
+ --disable-avahi \
+ --with-fhs \
+ --with-privatedir=/var/lib/samba/private \
+ --with-rootsbindir=/var/cache/samba \
+ --with-lockdir=/var/cache/samba \
+ --with-swatdir=/usr/share/doc/${PF}/swat \
+ --with-configdir=/etc/samba \
+ --with-logfilebase=/var/log/samba \
+ --with-pammodulesdir=$(getpam_mod_dir) \
+ --without-afs \
+ --without-fake-kaserver \
+ --without-vfs-afsacl \
+ $(use minimal && echo "--without-ldap" || echo "$(use_with ldap)") \
+ $(use minimal && echo "--without-ads" || echo "$(use_with ads)") \
+ $(use minimal && echo "--without-krb5" || echo "$(use_with ads krb5 /usr)") \
+ $(use minimal && echo "--without-dnsupdate" || echo "$(use_with ads dnsupdate)") \
+ --without-automount \
+ --without-cifsmount \
+ --without-cifsupcall \
+ --without-pam \
+ --without-pam_smbpass \
+ $(use minimal && echo "--without-syslog" || echo "$(use_with syslog)") \
+ --without-quotas \
+ --without-sys-quotas \
+ --without-utmp \
+ --without-lib{talloc,tdb,netapi,smbclient,smbsharemodes} \
+ --without-libaddns \
+ $(use minimal && echo "--without-ctdb" || echo "$(use_with cluster ctdb /usr)") \
+ $(use minimal && echo "--without-cluster" || echo "$(use_with cluster cluster-support)") \
+ --without-acl-support \
+ $(use minimal && echo "--without-aio-support" || echo "$(use_with aio aio-support)") \
+ --with-sendfile-support \
+ $(use minimal && echo "--without-winbind" || echo "$(use_with winbind)") \
+ --without-included-popt \
+ --without-included-iniparser
+ fi
+}
+
+src_compile() {
+ mkdir bin
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o bin/mount.cifs client/{mount.cifs,mtab}.c || die "building mount.cifs failed"
+ $(tc-getCC) ${CFLAGS} ${LDFLAGS} -o bin/umount.cifs client/{umount.cifs,mtab}.c || die "building umount.cifs failed"
+
+ if use ads ; then
+ emake bin/cifs.upcall || die "emake cifs.upcall failed"
+ fi
+
+ cd "source3"
+ if ! use minimal ; then
+ emake ${BINPROGS} || die "emake binprogs failed"
+ if use cups ; then
+ emake bin/smbspool || die "emake smbspool failed"
+ fi
+ fi
+}
+
+src_install() {
+ into /
+ dosbin bin/mount.cifs bin/umount.cifs || die "u/mount.cifs not around"
+ doman docs/manpages/{u,}mount.cifs.8 || die "can't create man pages"
+ dohtml docs/htmldocs/manpages/{u,}mount.cifs.8.html || die "dohtml failed"
+
+ into /usr
+ if use ads ; then
+ dosbin bin/cifs.upcall || die "cifs.upcall not around"
+ doman docs/manpages/cifs.upcall.8 || die "doman failed"
+ dohtml docs/htmldocs/manpages/cifs.upcall.8.html || die "doman failed"
+ fi
+
+ if ! use minimal ; then
+ for prog in ${BINPROGS} ; do
+ dobin source3/${prog} || die "not all bins around"
+ done
+
+ for prog in ${BINPROGS} ; do
+ doman docs/manpages/${prog/bin\/}* || die "doman failed"
+ dohtml docs/htmldocs/manpages/${prog/bin\/}*.html || die "dohtml failed"
+ done
+
+ if use cups ; then
+ dobin source3/bin/smbspool || die "smbspool not around"
+ doman docs/manpages/smbspool.8 || die "doman failed"
+ dohtml docs/htmldocs/manpages/smbspool.8.html || die "dohtml failed"
+ dosym /usr/bin/smbspool $(cups-config --serverbin)/backend/smb
+ fi
+ fi
+}
diff --git a/net-fs/samba-libs/ChangeLog b/net-fs/samba-libs/ChangeLog
index ca89015c8dbe..6258db1d7a99 100644
--- a/net-fs/samba-libs/ChangeLog
+++ b/net-fs/samba-libs/ChangeLog
@@ -1,6 +1,14 @@
# ChangeLog for net-fs/samba-libs
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/ChangeLog,v 1.29 2010/01/19 19:04:25 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/ChangeLog,v 1.30 2010/01/26 19:03:35 patrick Exp $
+
+*samba-libs-3.5.0_rc2 (26 Jan 2010)
+
+ 26 Jan 2010; Patrick Lauer <patrick@gentoo.org>
+ +files/3.5/nsswitch.conf-winbind, +samba-libs-3.5.0_rc2.ebuild,
+ +files/3.5/nsswitch.conf-wins, +files/3.5/samba.pam,
+ +files/3.5/system-auth-winbind.pam:
+ Adding 3.5_rc
*samba-libs-3.4.5 (19 Jan 2010)
diff --git a/net-fs/samba-libs/files/3.5/nsswitch.conf-winbind b/net-fs/samba-libs/files/3.5/nsswitch.conf-winbind
new file mode 100644
index 000000000000..2865b0e63d64
--- /dev/null
+++ b/net-fs/samba-libs/files/3.5/nsswitch.conf-winbind
@@ -0,0 +1,17 @@
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/files/3.5/nsswitch.conf-winbind,v 1.1 2010/01/26 19:03:33 patrick Exp $
+passwd: files winbind
+group: files winbind
+
+hosts: files dns
+networks: files dns
+
+services: db files
+protocols: db files
+rpc: db files
+ethers: db files
+netmasks: files
+netgroup: files
+bootparams: files
+
+automount: files
+aliases: files
diff --git a/net-fs/samba-libs/files/3.5/nsswitch.conf-wins b/net-fs/samba-libs/files/3.5/nsswitch.conf-wins
new file mode 100644
index 000000000000..673b643e3da1
--- /dev/null
+++ b/net-fs/samba-libs/files/3.5/nsswitch.conf-wins
@@ -0,0 +1,17 @@
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/files/3.5/nsswitch.conf-wins,v 1.1 2010/01/26 19:03:33 patrick Exp $
+passwd: files
+group: files
+
+hosts: files dns wins
+networks: files dns
+
+services: db files
+protocols: db files
+rpc: db files
+ethers: db files
+netmasks: files
+netgroup: files
+bootparams: files
+
+automount: files
+aliases: files
diff --git a/net-fs/samba-libs/files/3.5/samba.pam b/net-fs/samba-libs/files/3.5/samba.pam
new file mode 100644
index 000000000000..91beadd478a4
--- /dev/null
+++ b/net-fs/samba-libs/files/3.5/samba.pam
@@ -0,0 +1,8 @@
+#%PAM-1.0
+# * pam_smbpass.so authenticates against the smbpasswd file
+# * changed Redhat's 'pam_stack' with 'include' for *BSD compatibility
+# (Diego "Flameeyes" Petteno'): enable with pam>=0.78 only
+auth required pam_smbpass.so nodelay
+account include system-auth
+session include system-auth
+password required pam_smbpass.so nodelay smbconf=/etc/samba/smb.conf
diff --git a/net-fs/samba-libs/files/3.5/system-auth-winbind.pam b/net-fs/samba-libs/files/3.5/system-auth-winbind.pam
new file mode 100644
index 000000000000..499c799cfd64
--- /dev/null
+++ b/net-fs/samba-libs/files/3.5/system-auth-winbind.pam
@@ -0,0 +1,18 @@
+#%PAM-1.0
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/files/3.5/system-auth-winbind.pam,v 1.1 2010/01/26 19:03:33 patrick Exp $
+
+auth required pam_env.so
+auth sufficient pam_winbind.so
+auth sufficient pam_unix.so likeauth nullok use_first_pass
+auth required pam_deny.so
+
+account sufficient pam_winbind.so
+account required pam_unix.so
+
+password required pam_cracklib.so retry=3
+password sufficient pam_unix.so nullok use_authtok md5 shadow
+password required pam_deny.so
+
+session required pam_mkhomedir.so skel=/etc/skel/ umask=0022
+session required pam_limits.so
+session required pam_unix.so
diff --git a/net-fs/samba-libs/samba-libs-3.5.0_rc2.ebuild b/net-fs/samba-libs/samba-libs-3.5.0_rc2.ebuild
new file mode 100644
index 000000000000..514122a97a68
--- /dev/null
+++ b/net-fs/samba-libs/samba-libs-3.5.0_rc2.ebuild
@@ -0,0 +1,281 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-libs/samba-libs-3.5.0_rc2.ebuild,v 1.1 2010/01/26 19:03:35 patrick Exp $
+
+EAPI="2"
+
+inherit pam confutils versionator multilib autotools
+
+MY_PV=${PV/_/}
+MY_P="samba-${MY_PV}"
+
+DESCRIPTION="Library bits of the samba network filesystem"
+HOMEPAGE="http://www.samba.org/"
+SRC_URI="http://samba.org/samba/ftp/rc/${MY_P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="samba4 ads aio caps cluster cups debug examples ldap pam syslog winbind
+ ldb +netapi +smbclient smbsharemodes addns tools"
+
+DEPEND="dev-libs/popt
+ sys-libs/talloc
+ sys-libs/tdb
+ virtual/libiconv
+ ads? ( virtual/krb5 sys-fs/e2fsprogs )
+ caps? ( sys-libs/libcap )
+ cluster? ( dev-db/ctdb )
+ cups? ( net-print/cups )
+ debug? ( dev-libs/dmalloc )
+ ldap? ( net-nds/openldap )
+ pam? ( virtual/pam
+ winbind? ( dev-libs/iniparser ) )
+ syslog? ( virtual/logger )
+ !<net-fs/samba-3.3
+ !=net-fs/samba-server-3.4.3[tools]"
+# last blocker is only temporary for #288516
+
+RDEPEND="${DEPEND}"
+
+# Disable tests since we don't want to build that much here
+RESTRICT="test"
+
+BINPROGS=""
+
+if use tools ; then
+ if use ldb ; then BINPROGS="${BINPROGS} bin/ldbedit bin/ldbsearch bin/ldbadd bin/ldbdel bin/ldbmodify bin/ldbrename"; fi
+fi
+
+S="${WORKDIR}/${MY_P}/source3"
+
+# TODO:
+# - enable iPrint on Prefix/OSX and Darwin?
+# - selftest-prefix? selftest?
+
+CONFDIR="${FILESDIR}/$(get_version_component_range 1-2)"
+
+pkg_setup() {
+ confutils_use_depend_all samba4 ads
+ confutils_use_depend_all ads ldap
+}
+
+src_prepare() {
+
+ cd ".."
+
+ cp "${FILESDIR}/samba-3.4.2-lib.tevent.python.mk" "lib/tevent/python.mk"
+
+ cd "source3"
+ eautoconf -Ilibreplace -Im4 -I../m4 -I../lib/replace -I../source4
+
+ # ensure that winbind has correct ldflags (QA notice)
+ sed -i \
+ -e 's|LDSHFLAGS="|LDSHFLAGS="\\${LDFLAGS} |g' \
+ configure || die "sed failed"
+}
+
+src_configure() {
+ local myconf
+
+ # compile franky samba4 hybrid
+ # http://wiki.samba.org/index.php/Franky
+ if use samba4 ; then
+ myconf="${myconf} --enable-merged-build --enable-developer"
+ if has_version app-crypt/heimdal ; then
+ myconf="${myconf} --with-krb5=/usr/"
+ elif has_version app-crypt/mit-krb5 ; then
+ die "MIT Kerberos not supported by samba 4, use heimdal"
+ else
+ die "No supported kerberos provider detected"
+ fi
+ fi
+
+ # Filter out -fPIE
+ [[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
+ use hppa && myconf="${myconf} --disable-pie"
+
+ # Upstream refuses to make this configurable
+ use caps && export ac_cv_header_sys_capability_h=yes || export ac_cv_header_sys_capability_h=no
+
+ # Notes:
+ # - FAM is a plugin for the server
+ # - DNS-SD is only used in client/server code
+ # - AFS is a pw-auth-method and only used in client/server code
+ # - AFSACL is a server module
+ # - automount is only needed in conjunction with NIS and we don't have that
+ # anymore
+ # - quota-support is only needed in server-code
+ # - acl-support is only used in server-code
+ # - --without-dce-dfs and --without-nisplus-home can't be passed to configure but are disabled by default
+ econf ${myconf} \
+ --sysconfdir=/etc/samba \
+ --localstatedir=/var \
+ $(use_enable debug developer) \
+ --enable-largefile \
+ --enable-socket-wrapper \
+ --enable-nss-wrapper \
+ --disable-swat \
+ $(use_enable debug dmalloc) \
+ $(use_enable cups) \
+ --disable-iprint \
+ --disable-fam \
+ --enable-shared-libs \
+ --disable-dnssd \
+ --disable-avahi \
+ --with-fhs \
+ --with-privatedir=/var/lib/samba/private \
+ --with-rootsbindir=/var/cache/samba \
+ --with-lockdir=/var/cache/samba \
+ --with-swatdir=/usr/share/doc/${PF}/swat \
+ --with-configdir=/etc/samba \
+ --with-logfilebase=/var/log/samba \
+ --with-pammodulesdir=$(getpam_mod_dir) \
+ --without-afs \
+ --without-fake-kaserver \
+ --without-vfs-afsacl \
+ $(use_with ldap) \
+ $(use_with ads) \
+ $(use_with ads krb5 /usr) \
+ $(use_with ads dnsupdate) \
+ --without-automount \
+ --without-cifsmount \
+ --without-cifsupcall \
+ $(use_with pam) \
+ $(use_with pam pam_smbpass) \
+ $(use_with syslog) \
+ --without-quotas \
+ --without-sys-quotas \
+ --without-utmp \
+ --without-libtdb \
+ $(use_with netapi libnetapi) \
+ --without-libtalloc \
+ $(use_with smbclient libsmbclient) \
+ $(use_with smbsharemodes libsmbsharemodes) \
+ $(use_with addns libaddns) \
+ $(use_with cluster ctdb /usr) \
+ $(use_with cluster cluster-support) \
+ --without-acl-support \
+ $(use_with aio aio-support) \
+ --with-sendfile-support \
+ $(use_with winbind) \
+ --without-included-popt \
+ --without-included-iniparser
+}
+
+src_compile() {
+
+ # compile libs
+ if use addns ; then
+ einfo "make addns library"
+ emake libaddns || die "emake libaddns failed"
+ fi
+ if use netapi ; then
+ einfo "make netapi library"
+ emake libnetapi || die "emake libnetapi failed"
+ fi
+ if use smbclient ; then
+ einfo "make smbclient library"
+ emake libsmbclient || die "emake libsmbclient failed"
+ fi
+ if use smbsharemodes ; then
+ einfo "make smbsharemodes library"
+ emake libsmbsharemodes || die "emake libsmbsharemodes failed"
+ fi
+
+ # compile modules
+ if use pam ; then
+ einfo "make pam modules"
+ emake pam_modules || die "emake pam_modules failed";
+ fi
+ if use winbind ; then
+ einfo "make nss modules"
+ emake nss_modules || die "emake nss_modules failed";
+ fi
+
+ # compile utilities
+ if use tools ; then
+ einfo "make utilities"
+ emake ${BINPROGS} || die "emake binprogs failed";
+ fi
+
+}
+
+src_install() {
+
+ # install libs
+ if use netapi ; then
+ einfo "install netapi library"
+ emake installlibnetapi DESTDIR="${D}" || die "emake install libnetapi failed"
+ fi
+ if use smbclient ; then
+ einfo "install smbclient library"
+ emake installlibsmbclient DESTDIR="${D}" || die "emake install libsmbclient failed"
+ fi
+ if use smbsharemodes ; then
+ einfo "install smbsharemodes library"
+ emake installlibsmbsharemodes DESTDIR="${D}" || die "emake install libsmbsharemodes failed"
+ fi
+ if use addns ; then
+ einfo "install addns library"
+ emake installlibaddns DESTDIR="${D}" || die "emake install libaddns failed"
+ fi
+
+ # install modules
+ if use pam ; then
+ einfo "install pam modules"
+ emake installpammodules DESTDIR="${D}" || die "emake installpammodules failed"
+ fi
+
+ # Remove empty installation directories
+ rmdir \
+ "${D}/usr/$(get_libdir)/samba" \
+ "${D}/usr"/{sbin,bin} \
+ "${D}/usr/share"/{man,locale,} \
+ "${D}/var"/{run,lib/samba/private,lib/samba,lib,cache/samba,cache,} \
+ # || die "tried to remove non-empty dirs, this seems like a bug in the ebuild"
+
+ # Nsswitch extensions. Make link for wins and winbind resolvers
+ if use winbind ; then
+ einfo "install lbwbclient"
+ emake installlibwbclient DESTDIR="${D}" || die "emake installlibwbclient failed"
+ dolib.so ../nsswitch/libnss_wins.so
+ dosym libnss_wins.so /usr/$(get_libdir)/libnss_wins.so.2
+ dolib.so ../nsswitch/libnss_winbind.so
+ dosym libnss_winbind.so /usr/$(get_libdir)/libnss_winbind.so.2
+ fi
+
+ if use pam ; then
+ if use winbind ; then
+ newpamd "${CONFDIR}/system-auth-winbind.pam" system-auth-winbind
+ doman ../docs/manpages/pam_winbind.8
+ dohtml ../docs/htmldocs/manpages/pam_winbind.8.html
+
+ if use examples ; then
+ insinto /usr/share/doc/${PF}/examples
+ doins -r ../examples/pam_winbind
+ fi
+ fi
+
+ newpamd "${CONFDIR}/samba.pam" samba
+ dodoc pam_smbpass/README
+ fi
+
+ # install utilities
+ if use tools && [[ -n "${BINPROGS}" ]] ; then
+ einfo "install utilities"
+ dobin ${BINPROGS} || die "not all bins around"
+ for prog in ${BINPROGS} ; do
+ doman ../docs/manpages/${prog/bin\/}* || die "doman failed"
+ dohtml ../docs/htmldocs/manpages/${prog/bin\/}*.html || die "dohtml failed"
+ done
+ fi
+
+ # install examples
+ if use examples ; then
+ einfo "install examples"
+ insinto /usr/share/doc/${PF}/examples
+ doins -r ../examples/libsmbclient
+ use winbind && doins -r ../examples/nss
+ fi
+
+}
diff --git a/net-fs/samba-server/ChangeLog b/net-fs/samba-server/ChangeLog
index dc3b35bd6246..213d2f84b82a 100644
--- a/net-fs/samba-server/ChangeLog
+++ b/net-fs/samba-server/ChangeLog
@@ -1,6 +1,14 @@
# ChangeLog for net-fs/samba-server
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/ChangeLog,v 1.32 2010/01/19 19:06:52 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/ChangeLog,v 1.33 2010/01/26 19:03:59 patrick Exp $
+
+*samba-server-3.5.0_rc2 (26 Jan 2010)
+
+ 26 Jan 2010; Patrick Lauer <patrick@gentoo.org> +files/3.5/lmhosts,
+ +files/3.5/samba.confd, +files/3.5/samba.initd,
+ +files/3.5/smb.conf.default, +files/3.5/smbusers,
+ +samba-server-3.5.0_rc2.ebuild, +files/3.5/swat.xinetd:
+ Adding 3.5_rc
*samba-server-3.4.5 (19 Jan 2010)
diff --git a/net-fs/samba-server/files/3.5/lmhosts b/net-fs/samba-server/files/3.5/lmhosts
new file mode 100644
index 000000000000..014aeaa94d5a
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/lmhosts
@@ -0,0 +1,2 @@
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/files/3.5/lmhosts,v 1.1 2010/01/26 19:04:00 patrick Exp $
+127.0.0.1 localhost
diff --git a/net-fs/samba-server/files/3.5/samba.confd b/net-fs/samba-server/files/3.5/samba.confd
new file mode 100644
index 000000000000..8ef8d7351a27
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/samba.confd
@@ -0,0 +1,28 @@
+#add "winbind" to the daemon_list if you also want winbind to start
+daemon_list="smbd nmbd"
+
+#----------------------------------------------------------------------------
+# Daemons calls: <daemon_name>_<command_option>
+#----------------------------------------------------------------------------
+my_service_name="samba"
+my_service_PRE="unset TMP TMPDIR"
+my_service_POST=""
+
+#----------------------------------------------------------------------------
+# Daemons calls: <daemon_name>_<command_option>
+#----------------------------------------------------------------------------
+smbd_start_options="-D"
+smbd_start="start-stop-daemon --start --exec /usr/sbin/smbd -- ${smbd_start_options}"
+smbd_stop="start-stop-daemon --stop --exec /usr/sbin/smbd"
+smbd_reload="killall -HUP smbd"
+
+nmbd_start_options="-D"
+nmbd_start="start-stop-daemon --start --exec /usr/sbin/nmbd -- ${nmbd_start_options}"
+nmbd_stop="start-stop-daemon --stop --exec /usr/sbin/nmbd"
+nmbd_reload="killall -HUP nmbd"
+
+winbind_start_options=""
+winbind_start="start-stop-daemon --start --exec /usr/sbin/winbindd -- ${winbind_start_options}"
+winbind_stop="start-stop-daemon --stop --oknodo --exec /usr/sbin/winbindd"
+winbind_reload="killall -HUP winbindd"
+
diff --git a/net-fs/samba-server/files/3.5/samba.initd b/net-fs/samba-server/files/3.5/samba.initd
new file mode 100644
index 000000000000..574e5ffe49a2
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/samba.initd
@@ -0,0 +1,53 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License, v2 or later
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/files/3.5/samba.initd,v 1.1 2010/01/26 19:04:00 patrick Exp $
+
+opts="reload"
+
+depend() {
+ after slapd
+ need net
+ use cupsd
+}
+
+DAEMONNAME="${SVCNAME##samba.}"
+[ "${DAEMONNAME}" != "samba" ] && daemon_list=${DAEMONNAME}
+
+signal_do() {
+ local signal="$1"
+ [ -z "${signal}" ] && return 0
+
+ local result=0 last_result=0 daemon= cmd_exec=
+ for daemon in ${daemon_list} ; do
+ eval cmd_exec=\$${daemon}_${signal}
+ if [ -n "${cmd_exec}" ]; then
+ ebegin "${my_service_name} -> ${signal}: ${daemon}"
+ #echo ${cmd} '->' ${!cmd}
+ ${cmd_exec} > /dev/null
+ last_result=$?
+ eend ${last_result}
+ fi
+ result=$(( ${result} + ${last_result} ))
+ done
+ return ${result}
+}
+start() {
+ ${my_service_PRE}
+ signal_do start && return 0
+
+ eerror "Error: starting services (see system logs)"
+ signal_do stop
+ return 1
+}
+stop() {
+ ${my_service_PRE}
+ if signal_do stop ; then
+ ${my_service_POST}
+ return 0
+ fi
+}
+reload() {
+ ${my_service_PRE}
+ signal_do reload
+}
diff --git a/net-fs/samba-server/files/3.5/smb.conf.default b/net-fs/samba-server/files/3.5/smb.conf.default
new file mode 100644
index 000000000000..4c9a4a6d529f
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/smb.conf.default
@@ -0,0 +1,271 @@
+# This is the main Samba configuration file. You should read the
+# smb.conf(5) manual page in order to understand the options listed
+# here. Samba has a huge number of configurable options (perhaps too
+# many!) most of which are not shown in this example
+#
+# For a step to step guide on installing, configuring and using samba,
+# read the Samba-HOWTO-Collection. This may be obtained from:
+# http://www.samba.org/samba/docs/Samba-HOWTO-Collection.pdf
+#
+# Many working examples of smb.conf files can be found in the
+# Samba-Guide which is generated daily and can be downloaded from:
+# http://www.samba.org/samba/docs/Samba-Guide.pdf
+#
+# Any line which starts with a ; (semi-colon) or a # (hash)
+# is a comment and is ignored. In this example we will use a #
+# for commentry and a ; for parts of the config file that you
+# may wish to enable
+#
+# NOTE: Whenever you modify this file you should run the command "testparm"
+# to check that you have not made any basic syntactic errors.
+#
+#======================= Global Settings =====================================
+[global]
+
+# workgroup = NT-Domain-Name or Workgroup-Name, eg: MIDEARTH
+ workgroup = MYGROUP
+
+# server string is the equivalent of the NT Description field
+ server string = Samba Server
+
+# Security mode. Defines in which mode Samba will operate. Possible
+# values are share, user, server, domain and ads. Most people will want
+# user level security. See the Samba-HOWTO-Collection for details.
+ security = user
+
+# This option is important for security. It allows you to restrict
+# connections to machines which are on your local network. The
+# following example restricts access to two C class networks and
+# the "loopback" interface. For more examples of the syntax see
+# the smb.conf man page
+; hosts allow = 192.168.1. 192.168.2. 127.
+
+# If you want to automatically load your printer list rather
+# than setting them up individually then you'll need this
+ load printers = yes
+
+# you may wish to override the location of the printcap file
+; printcap name = /etc/printcap
+
+# on SystemV system setting printcap name to lpstat should allow
+# you to automatically obtain a printer list from the SystemV spool
+# system
+; printcap name = lpstat
+
+# It should not be necessary to specify the print system type unless
+# it is non-standard. Currently supported print systems include:
+# bsd, cups, sysv, plp, lprng, aix, hpux, qnx
+; printing = cups
+
+# Uncomment this if you want a guest account, you must add this to /etc/passwd
+# otherwise the user "nobody" is used
+; guest account = pcguest
+
+# this tells Samba to use a separate log file for each machine
+# that connects
+ log file = /var/log/samba/log.%m
+
+# Put a capping on the size of the log files (in Kb).
+ max log size = 50
+
+# Use password server option only with security = server
+# The argument list may include:
+# password server = My_PDC_Name [My_BDC_Name] [My_Next_BDC_Name]
+# or to auto-locate the domain controller/s
+# password server = *
+; password server = <NT-Server-Name>
+
+# Use the realm option only with security = ads
+# Specifies the Active Directory realm the host is part of
+; realm = MY_REALM
+
+# Backend to store user information in. New installations should
+# use either tdbsam or ldapsam. smbpasswd is available for backwards
+# compatibility. tdbsam requires no further configuration.
+; passdb backend = tdbsam
+
+# Using the following line enables you to customise your configuration
+# on a per machine basis. The %m gets replaced with the netbios name
+# of the machine that is connecting.
+# Note: Consider carefully the location in the configuration file of
+# this line. The included file is read at that point.
+; include = /etc/samba/smb.conf.%m
+
+# Configure Samba to use multiple interfaces
+# If you have multiple network interfaces then you must list them
+# here. See the man page for details.
+; interfaces = 192.168.12.2/24 192.168.13.2/24
+
+# Browser Control Options:
+# set local master to no if you don't want Samba to become a master
+# browser on your network. Otherwise the normal election rules apply
+; local master = no
+
+# OS Level determines the precedence of this server in master browser
+# elections. The default value should be reasonable
+; os level = 33
+
+# Domain Master specifies Samba to be the Domain Master Browser. This
+# allows Samba to collate browse lists between subnets. Don't use this
+# if you already have a Windows NT domain controller doing this job
+; domain master = yes
+
+# Preferred Master causes Samba to force a local browser election on startup
+# and gives it a slightly higher chance of winning the election
+; preferred master = yes
+
+# Enable this if you want Samba to be a domain logon server for
+# Windows95 workstations.
+; domain logons = yes
+
+# if you enable domain logons then you may want a per-machine or
+# per user logon script
+# run a specific logon batch file per workstation (machine)
+; logon script = %m.bat
+# run a specific logon batch file per username
+; logon script = %U.bat
+
+# Where to store roving profiles (only for Win95 and WinNT)
+# %L substitutes for this servers netbios name, %U is username
+# You must uncomment the [Profiles] share below
+; logon path = \\%L\Profiles\%U
+
+# Windows Internet Name Serving Support Section:
+# WINS Support - Tells the NMBD component of Samba to enable it's WINS Server
+; wins support = yes
+
+# WINS Server - Tells the NMBD components of Samba to be a WINS Client
+# Note: Samba can be either a WINS Server, or a WINS Client, but NOT both
+; wins server = w.x.y.z
+
+# WINS Proxy - Tells Samba to answer name resolution queries on
+# behalf of a non WINS capable client, for this to work there must be
+# at least one WINS Server on the network. The default is NO.
+; wins proxy = yes
+
+# DNS Proxy - tells Samba whether or not to try to resolve NetBIOS names
+# via DNS nslookups. The default is NO.
+ dns proxy = no
+
+# These scripts are used on a domain controller or stand-alone
+# machine to add or delete corresponding unix accounts
+; add user script = /usr/sbin/useradd %u
+; add group script = /usr/sbin/groupadd %g
+; add machine script = /usr/sbin/adduser -n -g machines -c Machine -d /dev/null -s /bin/false %u
+; delete user script = /usr/sbin/userdel %u
+; delete user from group script = /usr/sbin/deluser %u %g
+; delete group script = /usr/sbin/groupdel %g
+
+
+#============================ Share Definitions ==============================
+[homes]
+ comment = Home Directories
+ browseable = no
+ writable = yes
+
+# Un-comment the following and create the netlogon directory for Domain Logons
+; [netlogon]
+; comment = Network Logon Service
+; path = /var/lib/samba/netlogon
+; guest ok = yes
+; writable = no
+; share modes = no
+
+
+# Un-comment the following to provide a specific roving profile share
+# the default is to use the user's home directory
+;[Profiles]
+; path = /var/lib/samba/profiles
+; browseable = no
+; guest ok = yes
+
+
+# NOTE: If you have a BSD-style print system there is no need to
+# specifically define each individual printer
+[printers]
+ comment = All Printers
+ path = /var/spool/samba
+ browseable = no
+# Set public = yes to allow user 'guest account' to print
+ guest ok = no
+ writable = no
+ printable = yes
+
+# This one is useful for people to share files
+;[tmp]
+; comment = Temporary file space
+; path = /tmp
+; read only = no
+; public = yes
+
+# A publicly accessible directory, but read only, except for people in
+# the "staff" group
+;[public]
+; comment = Public Stuff
+; path = /home/samba
+; public = yes
+; writable = yes
+; printable = no
+; write list = @staff
+
+# Other examples.
+#
+# A private printer, usable only by fred. Spool data will be placed in fred's
+# home directory. Note that fred must have write access to the spool directory,
+# wherever it is.
+;[fredsprn]
+; comment = Fred's Printer
+; valid users = fred
+; path = /homes/fred
+; printer = freds_printer
+; public = no
+; writable = no
+; printable = yes
+
+# A private directory, usable only by fred. Note that fred requires write
+# access to the directory.
+;[fredsdir]
+; comment = Fred's Service
+; path = /usr/somewhere/private
+; valid users = fred
+; public = no
+; writable = yes
+; printable = no
+
+# a service which has a different directory for each machine that connects
+# this allows you to tailor configurations to incoming machines. You could
+# also use the %U option to tailor it by user name.
+# The %m gets replaced with the machine name that is connecting.
+;[pchome]
+; comment = PC Directories
+; path = /usr/pc/%m
+; public = no
+; writable = yes
+
+# A publicly accessible directory, read/write to all users. Note that all files
+# created in the directory by users will be owned by the default user, so
+# any user with access can delete any other user's files. Obviously this
+# directory must be writable by the default user. Another user could of course
+# be specified, in which case all files would be owned by that user instead.
+;[public]
+; path = /usr/somewhere/else/public
+; public = yes
+; only guest = yes
+; writable = yes
+; printable = no
+
+# The following two entries demonstrate how to share a directory so that two
+# users can place files there that will be owned by the specific users. In this
+# setup, the directory should be writable by both users and should have the
+# sticky bit set on it to prevent abuse. Obviously this could be extended to
+# as many users as required.
+;[myshare]
+; comment = Mary's and Fred's stuff
+; path = /usr/somewhere/shared
+; valid users = mary fred
+; public = no
+; writable = yes
+; printable = no
+; create mask = 0765
+
+
diff --git a/net-fs/samba-server/files/3.5/smbusers b/net-fs/samba-server/files/3.5/smbusers
new file mode 100644
index 000000000000..871a99090d30
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/smbusers
@@ -0,0 +1,7 @@
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/files/3.5/smbusers,v 1.1 2010/01/26 19:04:00 patrick Exp $
+
+# Syntax:
+# Unix_name = SMB_name1 SMB_name2 ...
+
+root = Administrator admin
+nobody = guest pcguest smbguest
diff --git a/net-fs/samba-server/files/3.5/swat.xinetd b/net-fs/samba-server/files/3.5/swat.xinetd
new file mode 100644
index 000000000000..b5bf0fe5500b
--- /dev/null
+++ b/net-fs/samba-server/files/3.5/swat.xinetd
@@ -0,0 +1,17 @@
+# default: off
+# description: SWAT is the Samba Web Admin Tool. Use swat \
+# to configure your Samba server. To use SWAT, \
+# connect to port 901 with your favorite web browser.
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/files/3.5/swat.xinetd,v 1.1 2010/01/26 19:04:00 patrick Exp $
+
+service swat
+{
+ port = 901
+ socket_type = stream
+ wait = no
+ only_from = localhost
+ user = root
+ server = /usr/sbin/swat
+ log_on_failure += USERID
+ disable = yes
+}
diff --git a/net-fs/samba-server/samba-server-3.5.0_rc2.ebuild b/net-fs/samba-server/samba-server-3.5.0_rc2.ebuild
new file mode 100644
index 000000000000..67d7e5cc1eff
--- /dev/null
+++ b/net-fs/samba-server/samba-server-3.5.0_rc2.ebuild
@@ -0,0 +1,223 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba-server/samba-server-3.5.0_rc2.ebuild,v 1.1 2010/01/26 19:03:59 patrick Exp $
+
+EAPI="2"
+
+inherit pam confutils versionator multilib autotools
+
+MY_PV=${PV/_/}
+MY_P="samba-${MY_PV}"
+
+DESCRIPTION="Samba Server component"
+HOMEPAGE="http://www.samba.org/"
+SRC_URI="http://samba.org/samba/ftp/rc/${MY_P}.tar.gz"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="samba4 acl ads aio avahi caps cluster cups debug doc examples fam ldap pam quota swat syslog winbind zeroconf"
+
+DEPEND="!<net-fs/samba-3.3
+ ads? ( virtual/krb5 sys-fs/e2fsprogs net-fs/samba-libs[ads] )
+ dev-libs/popt
+ virtual/libiconv
+ avahi? ( net-dns/avahi )
+ zeroconf? ( !avahi? ( || ( net-dns/avahi[mdnsresponder-compat] net-misc/mDNSResponder ) ) )
+ caps? ( sys-libs/libcap )
+ cups? ( net-print/cups )
+ debug? ( dev-libs/dmalloc )
+ fam? ( dev-libs/libgamin )
+ ldap? ( net-nds/openldap )
+ pam? ( sys-libs/pam )
+ syslog? ( virtual/logger )
+ sys-libs/tdb
+ sys-libs/talloc
+ ~net-fs/samba-libs-${PV}[caps?,cluster?,cups?,ldap?,syslog?,winbind?,ads?,samba4?]"
+RDEPEND="${DEPEND}"
+
+S="${WORKDIR}/${MY_P}/source3"
+
+RESTRICT="test"
+
+CONFDIR="${FILESDIR}/$(get_version_component_range 1-2)"
+SBINPROGS="bin/smbd bin/nmbd"
+BINPROGS="bin/testparm bin/smbstatus bin/smbcontrol bin/pdbedit
+ bin/profiles bin/sharesec bin/eventlogadm"
+#bin/ldbedit bin/ldbsearch bin/ldbadd bin/ldbdel bin/ldbmodify bin/ldbrename"
+
+pkg_setup() {
+ confutils_use_depend_all samba4 ads
+ confutils_use_depend_all ads ldap
+}
+
+src_prepare() {
+
+ cd ".."
+
+ cp "${FILESDIR}/samba-3.4.2-lib.tevent.python.mk" "lib/tevent/python.mk"
+
+ cd "source3"
+ eautoconf -Ilibreplace -Im4 -I../m4 -I../lib/replace -I../source4
+}
+
+src_configure() {
+ local myconf
+
+ # compile franky samba4 hybrid
+ # http://wiki.samba.org/index.php/Franky
+ if use samba4 ; then
+ myconf="${myconf} --enable-merged-build --enable-developer"
+ if has_version app-crypt/heimdal ; then
+ myconf="${myconf} --with-krb5=/usr/"
+ elif has_version app-crypt/mit-krb5 ; then
+ die "MIT Kerberos not supported by samba 4, use heimdal"
+ else
+ die "No supported kerberos provider detected"
+ fi
+ fi
+
+ # Filter out -fPIE
+ [[ ${CHOST} == *-*bsd* ]] && myconf="${myconf} --disable-pie"
+ use hppa && myconf="${myconf} --disable-pie"
+
+ # Upstream refuses to make this configurable
+ export ac_cv_header_sys_capability_h=no
+ use caps && export ac_cv_header_sys_capability_h=yes
+
+ local dnssd="--disable-dnssd"
+ use zeroconf && ! use avahi && dnssd="--enable-dnssd"
+
+ # Notes:
+ # - FAM is a plugin for the server
+ # - DNS-SD is only used in client/server code
+ # - AFS is a pw-auth-method and only used in client/server code
+ # - AFSACL is a server module
+ # - automount is only needed in conjunction with NIS and we don't have that
+ # anymore
+ # - quota-support is only needed in server-code
+ # - acl-support is only used in server-code
+ # - --without-dce-dfs and --without-nisplus-home can't be passed to configure but are disabled by default
+
+ econf ${myconf} \
+ --with-piddir=/var/run/samba \
+ --sysconfdir=/etc/samba \
+ --localstatedir=/var \
+ $(use_enable debug developer) \
+ --enable-largefile \
+ --enable-socket-wrapper \
+ --enable-nss-wrapper \
+ $(use_enable swat) \
+ $(use_enable debug dmalloc) \
+ $(use_enable cups) \
+ --disable-iprint \
+ $(use_enable fam) \
+ --enable-shared-libs \
+ ${dnssd} \
+ $(use_enable avahi) \
+ --with-fhs \
+ --with-privatedir=/var/lib/samba/private \
+ --with-rootsbindir=/var/cache/samba \
+ --with-lockdir=/var/cache/samba \
+ --with-swatdir=/usr/share/doc/${PF}/swat \
+ --with-configdir=/etc/samba \
+ --with-logfilebase=/var/log/samba \
+ --with-pammodulesdir=$(getpam_mod_dir) \
+ --without-afs \
+ --without-fake-kaserver \
+ --without-vfs-afsacl \
+ $(use_with ldap) \
+ $(use_with ads) \
+ $(use_with ads krb5 /usr) \
+ $(use_with ads dnsupdate) \
+ --without-automount \
+ --without-cifsmount \
+ --without-cifsupcall \
+ $(use_with pam ) \
+ $(use_with pam pam_smbpass ) \
+ $(use_with syslog) \
+ $(use_with quota quotas) \
+ $(use_with quota sys-quotas) \
+ --without-utmp \
+ --without-lib{talloc,tdb,netapi,smbclient,smbsharemodes} \
+ --without-libaddns \
+ $(use_with cluster ctdb /usr) \
+ $(use_with cluster cluster-support) \
+ $(use_with acl acl-support) \
+ $(use_with aio aio-support) \
+ --with-sendfile-support \
+ $(use_with winbind)
+
+ use swat && SBINPROGS="${SBINPROGS} bin/swat"
+ use winbind && SBINPROGS="${SBINPROGS} bin/winbindd"
+ use ads && use winbind && SBIN_PROGS="${SBINPROGS} bin/winbind_krb5_locator"
+
+ use winbind && BINPROGS="${BINPROGS} bin/wbinfo"
+}
+
+src_compile() {
+ emake ${SBINPROGS} || die "building server binaries failed"
+ emake modules || die "building modules failed"
+ emake ${BINPROGS} || die "building binaries failed"
+}
+
+src_install() {
+ dosbin ${SBINPROGS} || die "installing server binaries failed"
+
+ emake DESTDIR="${D}" installmodules || die "installing modules failed"
+
+ dobin ${BINPROGS} || die "installing binaries failed"
+
+ for prog in ${BINPROGS} ${SBINPROGS} ; do
+ doman ../docs/manpages/${prog/bin\/}*
+ done
+
+ doman ../docs/manpages/vfs* ../docs/manpages/samba.7 ../docs/manpages/smb.conf.5
+
+ diropts -m0700
+ keepdir /var/lib/samba/private
+
+ diropts -m1777
+ keepdir /var/spool/samba
+
+ diropts -m0755
+ keepdir /var/{cache,log}/samba
+ keepdir /var/lib/samba/{netlogon,profiles}
+ keepdir /var/lib/samba/printers/{W32X86,WIN40,W32ALPHA,W32MIPS,W32PPC,X64,IA64,COLOR}
+ keepdir /usr/$(get_libdir)/samba/{auth,pdb,rpc,idmap,nss_info,gpext}
+
+ newconfd "${CONFDIR}/samba.confd" samba
+ newinitd "${CONFDIR}/samba.initd" samba
+
+ insinto /etc/samba
+ doins "${CONFDIR}"/{smbusers,lmhosts,smb.conf.default}
+
+ insinto /usr/"$(get_libdir)"/samba
+ doins ../codepages/{valid.dat,upcase.dat,lowcase.dat}
+
+ if use ldap ; then
+ insinto /etc/openldap/schema
+ doins ../examples/LDAP/samba.schema
+ fi
+
+ if use swat ; then
+ insinto /etc/xinetd.d
+ newins "${CONFDIR}/swat.xinetd" swat
+ script/installswat.sh "${D}" "${ROOT}/usr/share/doc/${PF}/swat" "${S}" \
+ || die "installing swat failed"
+ fi
+
+ dodoc ../MAINTAINERS ../README* ../Roadmap ../WHATSNEW.txt ../docs/THANKS
+
+ if use doc ; then
+ dohtml -r ../docs/htmldocs/*
+ dodoc ../docs/*.pdf
+ fi
+
+ if use examples ; then
+ cd ../examples
+ insinto /usr/share/doc/${PF}/examples
+ doins -r \
+ auth autofs dce-dfs LDAP logon misc pdb perfcounter \
+ printer-accounting printing scripts tridge validchars VFS
+ fi
+}
diff --git a/net-fs/samba/ChangeLog b/net-fs/samba/ChangeLog
index 01157973d961..eb43af9e5cf7 100644
--- a/net-fs/samba/ChangeLog
+++ b/net-fs/samba/ChangeLog
@@ -1,6 +1,11 @@
# ChangeLog for net-fs/samba
# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v 1.396 2010/01/19 18:59:45 patrick Exp $
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/ChangeLog,v 1.397 2010/01/26 19:02:41 patrick Exp $
+
+*samba-3.5.0_rc2 (26 Jan 2010)
+
+ 26 Jan 2010; Patrick Lauer <patrick@gentoo.org> +samba-3.5.0_rc2.ebuild:
+ Adding 3.5_rc
*samba-3.4.5 (19 Jan 2010)
diff --git a/net-fs/samba/samba-3.5.0_rc2.ebuild b/net-fs/samba/samba-3.5.0_rc2.ebuild
new file mode 100644
index 000000000000..8b303ee67596
--- /dev/null
+++ b/net-fs/samba/samba-3.5.0_rc2.ebuild
@@ -0,0 +1,17 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-fs/samba/samba-3.5.0_rc2.ebuild,v 1.1 2010/01/26 19:02:41 patrick Exp $
+
+EAPI="2"
+
+DESCRIPTION="Meta package for samba-{libs,client,server}"
+HOMEPAGE="http://www.samba.org/"
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86"
+IUSE="+client +server"
+
+DEPEND=""
+RDEPEND="~net-fs/samba-libs-${PV}
+ client? ( ~net-fs/samba-client-${PV} )
+ server? ( ~net-fs/samba-server-${PV} )"